> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 解析格式

列出 [`/parse`](/zh/api-reference/endpoint/parse) 支持的所有文件格式，及其对应的文件扩展名和 MIME 类型。该列表基于 `/parse` 校验上传文件时所用的同一套规则生成，因此你可以在发送文件前先行检查，无需自行维护一份支持类型清单。

每个条目都包含 `kind` 字段，取值为 `document` 或 `image`。图像格式会经过 OCR 处理；若未启用图像 OCR，这些格式会标记为 `available: false`，在启用之前，上传此类格式的文件将被拒绝并返回 `UNSUPPORTED_FILE_TYPE`。

该列表很少变动。响应带有 `Cache-Control: private, max-age=3600` 头，因此可以放心地将其缓存最多一小时。


## OpenAPI

````yaml zh/api-reference/v2-openapi.json GET /parse/formats
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: 用于与 Firecrawl 服务交互，执行网页抓取和爬取任务的 API。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /parse/formats:
    get:
      tags:
        - Scraping
      summary: 列出 /parse 支持的文件格式
      operationId: getParseFormats
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      formats:
                        items:
                          properties:
                            available:
                              description: >-
                                `/parse` 当前是否接受您提交的此格式文件。文档格式始终为 `true`；未启用图像
                                OCR 时，图像格式为 `false`。
                              example: true
                              type: boolean
                            extensions:
                              description: 此格式支持的文件扩展名，标准扩展名列在首位。
                              example:
                                - .docx
                              items:
                                type: string
                              type: array
                            format:
                              description: 格式的简称，即不带点号的标准扩展名。
                              example: docx
                              type: string
                            kind:
                              description: 该格式是按文档解析，还是按图像进行 OCR 识别。
                              enum:
                                - document
                                - image
                              example: document
                              type: string
                            mimeTypes:
                              description: 此格式支持的 MIME 类型。
                              example:
                                - >-
                                  application/vnd.openxmlformats-officedocument.wordprocessingml.document
                              items:
                                type: string
                              type: array
                          type: object
                        type: array
                    type: object
                  success:
                    example: true
                    type: boolean
                type: object
          description: '支持的格式。响应最多可缓存一小时（`Cache-Control: private, max-age=3600`）。'
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: 'Unauthorized: Invalid token'
                    type: string
                  success:
                    example: false
                    type: boolean
                type: object
          description: API 密钥缺失或无效
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.